Debian Bug report logs - #486469
persistence: options to only check partition labels or disable snapshots

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Thibaut GIRKA <thibaut.girka@gmail.com>

Date: Mon, 16 Jun 2008 10:36:02 UTC

Severity: wishlist

Fixed in version live-initramfs/1.139.1-4

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#486469; Package live-initramfs. Full text and rfc822 format available.

Acknowledgement sent to Thibaut GIRKA <thibaut.girka@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thibaut GIRKA <thibaut.girka@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: persistence: options to only check partition labels or disable snapshots
Date: Mon, 16 Jun 2008 12:31:08 +0200
Package: live-initramfs
Severity: wishlist

An option, to only check partition labels for live-rw and home-rw 
instead of mounting every partition and search image files, would be 
nice, since it'll speed up the boot time.
An option to disable snapshots (persistence enabled, snapshots disabled) 
would be nice too.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (120, 'unstable'), (105, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#486469; Package live-initramfs. Full text and rfc822 format available.

Acknowledgement sent to Jordi Pujol <jordipujolp@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 486469@bugs.debian.org (full text, mbox):

From: Jordi Pujol <jordipujolp@gmail.com>
To: debian-live-devel@lists.alioth.debian.org, 486469@bugs.debian.org
Subject: Re: Bug#486469: persistence: options to only check partition labels or disable snapshots
Date: Mon, 16 Jun 2008 20:45:52 +0200
El Monday 16 June 2008 12:31:08 Thibaut GIRKA va escriure:
> Package: live-initramfs
> Severity: wishlist
>
> An option, to only check partition labels for live-rw and home-rw
> instead of mounting every partition and search image files, would be
> nice, since it'll speed up the boot time.
> An option to disable snapshots (persistence enabled, snapshots disabled)
> would be nice too.
>
all that, and more, can do my version of live-initramfs,

http://lists.alioth.debian.org/pipermail/debian-live-devel/2008-June/003828.html

using this version of live-initramfs  with a correctly parametrized live.conf, 
in a Debian Live OS installed on hard disk is not necessary any loop to check 
the block devices,

try this, specially the configuration named pcsample




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 11 Nov 2008 13:33:04 GMT) Full text and rfc822 format available.

Notification sent to Thibaut GIRKA <thibaut.girka@gmail.com>:
Bug acknowledged by developer. (Tue, 11 Nov 2008 13:33:05 GMT) Full text and rfc822 format available.

Message #15 received at 486469-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 486469-close@bugs.debian.org
Subject: Bug#486469: fixed in live-initramfs 1.139.1-4
Date: Tue, 11 Nov 2008 13:02:06 +0000
Source: live-initramfs
Source-Version: 1.139.1-4

We believe that the bug you reported is fixed in the latest version of
live-initramfs, which is due to be installed in the Debian FTP archive:

live-initramfs_1.139.1-4.diff.gz
  to pool/main/l/live-initramfs/live-initramfs_1.139.1-4.diff.gz
live-initramfs_1.139.1-4.dsc
  to pool/main/l/live-initramfs/live-initramfs_1.139.1-4.dsc
live-initramfs_1.139.1-4_all.deb
  to pool/main/l/live-initramfs/live-initramfs_1.139.1-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 486469@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-initramfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 11 Nov 2008 13:00:00 +0100
Source: live-initramfs
Binary: live-initramfs
Architecture: source all
Version: 1.139.1-4
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-initramfs - Debian Live initramfs hook
Closes: 486469 500672
Changes: 
 live-initramfs (1.139.1-4) unstable; urgency=medium
 .
   [ Chris Lamb ]
   * Remove (accidental?) debian/changelog entry.
   * Use "grep -qs" over "grep -q" for compatibility (see grep(1))
   * Use "test -s" instead of testing file availability and size.
   * Be consistent in using 0/1 for True/False values instead of English
     representations.
   * Reflow some grammar in comments and in live-initramfs(7).
   * Reflow long 'tr'-based pipelines for readability.
   * Don't "cat |" to grep.
 .
   [ Daniel Baumann ]
   * Replacing obsolete dh_clean -k with dh_prep.
 .
   [ Marco Amadori ]
   * Changed HOSTNAME and /etc/hosts handling.
   * Conditional creation of /etc/fstab.
   * live-snapshot: fixed include-list handling.
   * Reordered persistence lookups and boundaries (Closes: #500672).
   * Search for partition labels only (Closes: #486469).
   * Implemented a snapshot exclude list.
   * Implemented a persistence exclude list.
   * Manpage clarifications on "nofiles".
   * Do not pollute the logs when looking for swap partitions.
   * Removed all "cat | grep", with grep, awk and sed.
Checksums-Sha1: 
 a6c530d69d629b8dc4a901eea21831f614cbac08 1301 live-initramfs_1.139.1-4.dsc
 6f01418f0f91ff5907c0ac3e77d4f8b8b6446a22 20563 live-initramfs_1.139.1-4.diff.gz
 c0f63e386d112553f6138b85df8270b08f0e0543 84544 live-initramfs_1.139.1-4_all.deb
Checksums-Sha256: 
 2cbdf7dfbae1f1bb04023fbb209e77cb74496cd2d341011e62976afc33f5229e 1301 live-initramfs_1.139.1-4.dsc
 e15dfab151139dc174f44931a544427181c3e10c9298006ac6ffece03c122380 20563 live-initramfs_1.139.1-4.diff.gz
 db52e1acf5c19b0ec5fddbb23ae5bac85c3174e8136f926b21deccd63eb7b072 84544 live-initramfs_1.139.1-4_all.deb
Files: 
 cf4ce1b0fd1cc018c5ed75ce626051a2 1301 misc optional live-initramfs_1.139.1-4.dsc
 2b1344983e1c3e496c629fe2cb2625ef 20563 misc optional live-initramfs_1.139.1-4.diff.gz
 407915a890f3179b1c9f243e300a2a2c 84544 misc optional live-initramfs_1.139.1-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkkZgH0ACgkQ+C5cwEsrK57+JQCgiDXay4kN+enpTQ0XHA0rAOvu
eMAAoLVDfrLN3XQDeJPcO5zJVVvDKqn+
=GEh4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Dec 2008 07:30:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:08:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.